Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
    • Non-Project Work Items
    • Contributor Work Associations
    • Contributions
    Cloud
    Capacity Planning / Reference / REST API

    Contributions

    Postman Collection
    OpenAPI

    Manage time-allocation contributions for contributor-work pairs

    GET

    Get contributions for a contributor-work pairPreview

    Returns the time-based allocation breakdown for a specific contributor and work item within the given date range. The query window must not exceed 2 years. Results are split into weekly time periods.

    Request

    Query parameters

    contributorDataId

    string

    Required
    workDataId

    string

    Required
    startDate

    string

    Required
    endDate

    string

    Required
    valueType

    string

    Responses

    OK

    application/json

    GetContributionsResponse

    Response containing contribution cells for a contributor-work pair

    GET/contributions
    1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/ex/capacity-planning/{cloudId}/v1/contributions?contributorDataId=ari%3Acloud%3Aidentity%3A%3Auser%2F5e43cd5aa17f930c9b942ed4&workDataId=ari%3Acloud%3Ajira%3Acloud-id%3Aissue%2F10042&startDate=2026-01-01&endDate=2026-12-31' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 { "contributions": [ { "contributorDataId": "ari:cloud:identity::user/5e43cd5aa17f930c9b942ed4", "endDate": "2026-06-21", "startDate": "2026-06-15", "value": 8, "valueType": "HOURS", "workDataId": "ari:cloud:jira:cloud-id:issue/10042" } ] }
    POST

    Create or update contributionsPreview

    Sets the allocation for one or more contributor-work pairs within specified date ranges (max 100 per call). A single contribution must not span more than 90 days, the start date must not be more than 2 years in the past, and the end date must not be more than 2 years in the future. If a contribution already exists for the same contributor, work item, and date range it is replaced with the new value; otherwise a new contribution is created.

    Request

    Request bodyapplication/json

    contributions

    array<ContributionInputDto>

    Required

    Responses

    OK

    application/json

    UpsertContributionsResponse

    Response containing the upserted contributions

    POST/contributions
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 curl --request POST \ --url 'https://api.atlassian.com/ex/capacity-planning/{cloudId}/v1/contributions' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "contributions": [ { "contributorDataId": "ari:cloud:identity::user/5e43cd5aa17f930c9b942ed4", "endDate": "2026-01-12", "startDate": "2026-01-06", "value": 8, "valueType": "HOURS", "workDataId": "ari:cloud:jira:cloud-id:issue/10042" } ] }'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 { "contributions": [ { "contributorDataId": "ari:cloud:identity::user/5e43cd5aa17f930c9b942ed4", "endDate": "2026-06-21", "startDate": "2026-06-15", "value": 8, "valueType": "HOURS", "workDataId": "ari:cloud:jira:cloud-id:issue/10042" } ] }
    POST

    Clear contributionsPreview

    Removes the allocation for the specified contributor-work pairs and date ranges (max 100 per call). Each clear key must have a start date that is not after its end date. After this call, the affected date ranges will return a zero allocation. The response echoes back the keys that were cleared.

    Request

    Request bodyapplication/json

    contributions

    array<ContributionKeyDto>

    Required

    Responses

    OK

    application/json

    ClearContributionsResponse

    Response containing the composite keys of cleared contributions

    POST/contributions:clear
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 curl --request POST \ --url 'https://api.atlassian.com/ex/capacity-planning/{cloudId}/v1/contributions:clear' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "contributions": [ { "contributorDataId": "ari:cloud:identity::user/5e43cd5aa17f930c9b942ed4", "endDate": "2026-01-12", "startDate": "2026-01-06", "workDataId": "ari:cloud:jira:cloud-id:issue/10042" } ] }'
    200Response
    1 2 3 4 5 6 7 8 9 10 { "cleared": [ { "contributorDataId": "ari:cloud:identity::user/5e43cd5aa17f930c9b942ed4", "endDate": "2026-01-12", "startDate": "2026-01-06", "workDataId": "ari:cloud:jira:cloud-id:issue/10042" } ] }

    Rate this page: